# pdfTextExtract

Extract words and full lines of text from PDF files. 

## Deployment from local developer system 

Use [gitlab-ci-local](https://github.com/firecow/gitlab-ci-local)

Create a file for the local gitlab-ci env variables `` and replace usernam and password by real values.

~~~yaml
---
CI_ZKM_REPO_USERNAME: {username}
CI_ZKM_REPO_PASSWORD: {password}
~~~

deploy:

~~~bash
gitlab-ci-local
~~~


## Running

The class `de.zkm.pdf.PdfTextExtractor` provides a main method that can be used for testing purposes:

~~~bash
mvn compile exec:java -Dexec.mainClass="de.zkm.pdf.PdfTextExtractor" -Dexec.args="file:///home/developer/pdfTextExtract/testdata/ZKM-01-0122-02-00052.pdf"
~~~
